/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/12/23 15:25:11 $
 * $Author: hachti $
 *
 * $Log: config.hh,v $
 * Revision 2.1  2007/12/23 15:25:11  hachti
 * *** empty log message ***
 *
 * Revision 2.0  2007-03-26 01:00:38  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#ifndef CONFIG_HH
#define CONFIG_HH

#include <string>
using namespace std;

/* Global configuration data */

extern string cfg_infile;
extern string cfg_outfile;
extern int cfg_infile_set;
extern int cfg_outfile_set; 
extern int cfg_config_file_set;

extern int cfg_do_help;
extern int cfg_output_info;
extern int cfg_output_called;
extern int cfg_output_exported;
extern int cfg_output_unsatisfied;
extern int cfg_split_objects;
extern int cfg_split_objects_numbered;
extern int cfg_split_blocks;
extern int cfg_ignore_block_errors;
extern int cfg_ignore_checksum_errors;
extern int cfg_pause_on_checksum_error;
extern int cfg_ignore_unknown_block_errors;
extern int cfg_ignore_object_integrity_errors;
extern int cfg_list_contents;
extern int cfg_verbose;
extern int cfg_version;
extern int cfg_quiet;
extern int cfg_dump_block_contents;

extern int in_fd;  //! File descriptor for data input 
extern int out_fd; //! File descriptor for text output

extern void do_config(int argc, char ** args);

#endif
