/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2010/01/04 02:10:59 $
 * $Author: hachti $
 *
 * $Log: data_block_0.cpp,v $
 * Revision 2.1  2010/01/04 02:10:59  hachti
 * *** empty log message ***
 *
 * Revision 2.0  2007-03-26 01:00:38  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#include "data_block_0.hh"
#include <stdio.h>

/*!
 *\brief Specialisation constructor.
 */
data_block_0::data_block_0(data_block & org)
  :data_block(org)
{
  m_has_known_type=false;
}


/*!
 * Determine the block's subtype.
 *\return The block's subtype, read from block data.
 */ 
int data_block_0::get_subtype(){
  return (word_data[0]&0x0fc0)>>6;
}

/*!
 *\brief Describe the block.
 *\return A vector of text lines describing this block.
 */
vector<string> data_block_0::get_description(){
  vector<string> result;
  char buffer[150];
  sprintf(buffer,"           (0-%02o)    Type 0 data block, unknown\
 subtype, this is an illegal condition!",get_subtype());
  string r_string=buffer;
  result.insert(result.end(),r_string);
  return result;
}



