/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/05/30 01:33:08 $
 * $Author: hachti $
 *
 * $Log: data_block_3.hh,v $
 * Revision 2.1  2007/05/30 01:33:08  hachti
 * Corrected handling for FORTRAN data blocks 3 and 4: added endblock capability.
 *
 * Revision 2.0  2007-03-26 01:00:39  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#ifndef DATA_BLOCK_3_H
#define DATA_BLOCK_3_H

#include <vector>
#include <string>

#include "data_block.hh"

/*!
 *\brief Class for block type (3).
 */
class data_block_3
  : public data_block
{
  friend tape_block * tape_block::gen_from_fd(int,void(*)(void*),
					      void(*)(void*),void*);
protected:
  data_block_3(data_block&);

public:  
  vector<string> get_description();
  virtual bool is_endblock();
};

#endif


