/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:40 $
 * $Author: hachti $
 *
 * $Log: tool.cpp,v $
 * Revision 2.0  2007/03/26 01:00:40  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#include <vector>
#include <string>

#include <stdio.h>

#include "config.hh"

using namespace std;


/*!
 *\brief Output a vector of strings.
 *\arg strings A vector containing text.
 *\arg fp A FILE pointer where to write to.
 *\retval 0 The vector was empty.
 *\retval 1 The vector contained text.
 */
int dump_vector_fp(vector<string> strings, FILE * fp){
  int res=0;
  for (vector<string>::iterator iter=strings.begin();iter<strings.end();iter++){
    fprintf(fp,"%s\n",
	    iter->substr(0,iter->find_last_not_of(" ")+1).c_str());
    res=1;
  }
  return res;
}

/*!
 *\brief Output a vector of strings to out_fd.
 *\arg strings A vector containing text.
 *\retval 0 The vector was empty.
 *\retval 1 The vector contained text.
 */
int dump_vector(vector<string> strings){
  FILE * fp=fdopen(out_fd,"w");
  return dump_vector_fp(strings,fp);
}
