#!/bin/sh

DO_FILE=s2.do

if [ ! "$MAKE" ]; then
    echo "Not run from within a Makefile!"
    exit 4
fi

cat > $DO_FILE <<EOF
echo Booting $LDR_APM_8K
at ptr $LDR_APM_8K
boot ptr
echo Loading $LDR_APM
; enter high loader address for loading above itself
d 15000 37777

echo *** Loading $LDR_APM
at ptr $LDR_APM
d a 33000
d p 16000
go
go
at ptr $LDR_DUMY
go

echo *** Loading $PAL_AP
at ptr $PAL_AP
d a 37000
d p 16003
go
go

; Clear memory
d 100-27777 0

; Common block settings:
d 35000 31000

; Settings for immediate load after sys restore
r
d p 36000

save $SUPER_SIMPLE_SYS
echo Complete.
q
EOF
h316 $DO_FILE
rm -f $DO_FILE
